import{s as pt,o as ut,n as lt}from"../chunks/scheduler.182ea377.js";import{S as ot,i as ft,g as l,s as n,r as o,A as dt,h as p,f as s,c as a,j as I,u as f,x as h,k as O,y as u,a as i,v as d,d as m,t as c,w as g}from"../chunks/index.abf12888.js";import{T as rt}from"../chunks/Tip.230e2334.js";import{D as ee}from"../chunks/Docstring.93f6f462.js";import{C as Ge}from"../chunks/CodeBlock.57fe6e13.js";import{H as oe}from"../chunks/Heading.16916d63.js";function mt(te){let r,v="To check a specific pipeline or model output, refer to its corresponding API documentation.";return{c(){r=l("p"),r.textContent=v},l($){r=p($,"P",{"data-svelte-h":!0}),h(r)!=="svelte-60gd7d"&&(r.textContent=v)},m($,T){i($,r,T)},p:lt,d($){$&&s(r)}}}function ct(te){let r,v=`You can’t unpack a <code>BaseOutput</code> directly. Use the <a href="/docs/diffusers/main/en/api/outputs#diffusers.utils.BaseOutput.to_tuple">to_tuple()</a> method to convert it to a tuple
first.`;return{c(){r=l("p"),r.innerHTML=v},l($){r=p($,"P",{"data-svelte-h":!0}),h(r)!=="svelte-140uywr"&&(r.innerHTML=v)},m($,T){i($,r,T)},p:lt,d($){$&&s(r)}}}function gt(te){let r,v,$,T,V,de,B,We='All model outputs are subclasses of <a href="/docs/diffusers/main/en/api/outputs#diffusers.utils.BaseOutput">BaseOutput</a>, data structures containing all the information returned by the model. The outputs can also be used as tuples or dictionaries.',me,k,Se="For example:",ce,U,ge,E,Qe='The <code>outputs</code> object is a <a href="/docs/diffusers/main/en/api/pipelines/unclip#diffusers.ImagePipelineOutput">ImagePipelineOutput</a> which means it has an image attribute.',$e,z,Xe="You can access each attribute as you normally would or with a keyword lookup, and if that attribute is not returned by the model, you will get <code>None</code>:",he,D,be,j,Ye=`When considering the <code>outputs</code> object as a tuple, it only considers the attributes that don’t have <code>None</code> values.
For instance, retrieving an image by indexing into it returns the tuple <code>(outputs.images)</code>:`,_e,F,xe,L,ve,J,Pe,b,A,ze,se,Ke=`Base class for all model outputs as dataclass. Has a <code>__getitem__</code> that allows indexing by integer or slice (like a
tuple) or strings (like a dictionary) that will ignore the <code>None</code> attributes. Otherwise behaves like a regular
Python dictionary.`,De,C,je,M,N,Fe,ie,et="Convert self to a tuple containing all the attributes/keys that are not <code>None</code>.",ye,Z,we,P,q,Je,ne,tt="Output class for image pipelines.",Ie,R,Oe,_,G,Ae,ae,st="Output class for image pipelines.",Ne,H,W,Ze,re,it="“Returns a new object replacing the specified fields with new values.",Te,S,Le,y,Q,qe,le,nt="Output class for audio pipelines.",Ce,X,Me,w,Y,Re,pe,at="Output class for joint image-text pipelines.",He,fe,Ve;return V=new oe({props:{title:"Outputs",local:"outputs",headingTag:"h1"}}),U=new Ge({props:{code:"ZnJvbSUyMGRpZmZ1c2VycyUyMGltcG9ydCUyMERESU1QaXBlbGluZSUwQSUwQXBpcGVsaW5lJTIwJTNEJTIwRERJTVBpcGVsaW5lLmZyb21fcHJldHJhaW5lZCglMjJnb29nbGUlMkZkZHBtLWNpZmFyMTAtMzIlMjIpJTBBb3V0cHV0cyUyMCUzRCUyMHBpcGVsaW5lKCk=",highlighted:`<span class="hljs-keyword">from</span> diffusers <span class="hljs-keyword">import</span> DDIMPipeline

pipeline = DDIMPipeline.from_pretrained(<span class="hljs-string">&quot;google/ddpm-cifar10-32&quot;</span>)
outputs = pipeline()`,wrap:!1}}),D=new Ge({props:{code:"b3V0cHV0cy5pbWFnZXMlMEFvdXRwdXRzJTVCJTIyaW1hZ2VzJTIyJTVE",highlighted:`outputs.images
outputs[<span class="hljs-string">&quot;images&quot;</span>]`,wrap:!1}}),F=new Ge({props:{code:"b3V0cHV0cyU1QiUzQTElNUQ=",highlighted:'outputs[:<span class="hljs-number">1</span>]',wrap:!1}}),L=new rt({props:{$$slots:{default:[mt]},$$scope:{ctx:te}}}),J=new oe({props:{title:"BaseOutput",local:"diffusers.utils.BaseOutput",headingTag:"h2"}}),A=new ee({props:{name:"class diffusers.utils.BaseOutput",anchor:"diffusers.utils.BaseOutput",parameters:"",source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/utils/outputs.py#L40"}}),C=new rt({props:{warning:!0,$$slots:{default:[ct]},$$scope:{ctx:te}}}),N=new ee({props:{name:"to_tuple",anchor:"diffusers.utils.BaseOutput.to_tuple",parameters:[],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/utils/outputs.py#L133"}}),Z=new oe({props:{title:"ImagePipelineOutput",local:"diffusers.ImagePipelineOutput",headingTag:"h2"}}),q=new ee({props:{name:"class diffusers.ImagePipelineOutput",anchor:"diffusers.ImagePipelineOutput",parameters:[{name:"images",val:": Union"}],parametersDescription:[{anchor:"diffusers.ImagePipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L100"}}),R=new oe({props:{title:"FlaxImagePipelineOutput",local:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",headingTag:"h2"}}),G=new ee({props:{name:"class diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput",parameters:[{name:"images",val:": Union"}],parametersDescription:[{anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_flax_utils.py#L87"}}),W=new ee({props:{name:"replace",anchor:"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput.replace",parameters:[{name:"**updates",val:""}],source:"https://github.com/huggingface/diffusers/blob/main/src/flax/struct.py#L111"}}),S=new oe({props:{title:"AudioPipelineOutput",local:"diffusers.AudioPipelineOutput",headingTag:"h2"}}),Q=new ee({props:{name:"class diffusers.AudioPipelineOutput",anchor:"diffusers.AudioPipelineOutput",parameters:[{name:"audios",val:": ndarray"}],parametersDescription:[{anchor:"diffusers.AudioPipelineOutput.audios",description:`<strong>audios</strong> (<code>np.ndarray</code>) &#x2014;
List of denoised audio samples of a NumPy array of shape <code>(batch_size, num_channels, sample_rate)</code>.`,name:"audios"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/pipeline_utils.py#L114"}}),X=new oe({props:{title:"ImageTextPipelineOutput",local:"diffusers.ImageTextPipelineOutput",headingTag:"h2"}}),Y=new ee({props:{name:"class diffusers.ImageTextPipelineOutput",anchor:"diffusers.ImageTextPipelineOutput",parameters:[{name:"images",val:": Union"},{name:"text",val:": Union"}],parametersDescription:[{anchor:"diffusers.ImageTextPipelineOutput.images",description:`<strong>images</strong> (<code>List[PIL.Image.Image]</code> or <code>np.ndarray</code>) &#x2014;
List of denoised PIL images of length <code>batch_size</code> or NumPy array of shape <code>(batch_size, height, width, num_channels)</code>.`,name:"images"},{anchor:"diffusers.ImageTextPipelineOutput.text",description:`<strong>text</strong> (<code>List[str]</code> or <code>List[List[str]]</code>) &#x2014;
List of generated text strings of length <code>batch_size</code> or a list of list of strings whose outer list has
length <code>batch_size</code>.`,name:"text"}],source:"https://github.com/huggingface/diffusers/blob/main/src/diffusers/pipelines/unidiffuser/pipeline_unidiffuser.py#L33"}}),{c(){r=l("meta"),v=n(),$=l("p"),T=n(),o(V.$$.fragment),de=n(),B=l("p"),B.innerHTML=We,me=n(),k=l("p"),k.textContent=Se,ce=n(),o(U.$$.fragment),ge=n(),E=l("p"),E.innerHTML=Qe,$e=n(),z=l("p"),z.innerHTML=Xe,he=n(),o(D.$$.fragment),be=n(),j=l("p"),j.innerHTML=Ye,_e=n(),o(F.$$.fragment),xe=n(),o(L.$$.fragment),ve=n(),o(J.$$.fragment),Pe=n(),b=l("div"),o(A.$$.fragment),ze=n(),se=l("p"),se.innerHTML=Ke,De=n(),o(C.$$.fragment),je=n(),M=l("div"),o(N.$$.fragment),Fe=n(),ie=l("p"),ie.innerHTML=et,ye=n(),o(Z.$$.fragment),we=n(),P=l("div"),o(q.$$.fragment),Je=n(),ne=l("p"),ne.textContent=tt,Ie=n(),o(R.$$.fragment),Oe=n(),_=l("div"),o(G.$$.fragment),Ae=n(),ae=l("p"),ae.textContent=st,Ne=n(),H=l("div"),o(W.$$.fragment),Ze=n(),re=l("p"),re.textContent=it,Te=n(),o(S.$$.fragment),Le=n(),y=l("div"),o(Q.$$.fragment),qe=n(),le=l("p"),le.textContent=nt,Ce=n(),o(X.$$.fragment),Me=n(),w=l("div"),o(Y.$$.fragment),Re=n(),pe=l("p"),pe.textContent=at,He=n(),fe=l("p"),this.h()},l(e){const t=dt("svelte-u9bgzb",document.head);r=p(t,"META",{name:!0,content:!0}),t.forEach(s),v=a(e),$=p(e,"P",{}),I($).forEach(s),T=a(e),f(V.$$.fragment,e),de=a(e),B=p(e,"P",{"data-svelte-h":!0}),h(B)!=="svelte-4sj20v"&&(B.innerHTML=We),me=a(e),k=p(e,"P",{"data-svelte-h":!0}),h(k)!=="svelte-1gkqha7"&&(k.textContent=Se),ce=a(e),f(U.$$.fragment,e),ge=a(e),E=p(e,"P",{"data-svelte-h":!0}),h(E)!=="svelte-8x6xs0"&&(E.innerHTML=Qe),$e=a(e),z=p(e,"P",{"data-svelte-h":!0}),h(z)!=="svelte-1ntwqaz"&&(z.innerHTML=Xe),he=a(e),f(D.$$.fragment,e),be=a(e),j=p(e,"P",{"data-svelte-h":!0}),h(j)!=="svelte-qzd8sf"&&(j.innerHTML=Ye),_e=a(e),f(F.$$.fragment,e),xe=a(e),f(L.$$.fragment,e),ve=a(e),f(J.$$.fragment,e),Pe=a(e),b=p(e,"DIV",{class:!0});var x=I(b);f(A.$$.fragment,x),ze=a(x),se=p(x,"P",{"data-svelte-h":!0}),h(se)!=="svelte-1qra1r9"&&(se.innerHTML=Ke),De=a(x),f(C.$$.fragment,x),je=a(x),M=p(x,"DIV",{class:!0});var K=I(M);f(N.$$.fragment,K),Fe=a(K),ie=p(K,"P",{"data-svelte-h":!0}),h(ie)!=="svelte-1gdpts"&&(ie.innerHTML=et),K.forEach(s),x.forEach(s),ye=a(e),f(Z.$$.fragment,e),we=a(e),P=p(e,"DIV",{class:!0});var Be=I(P);f(q.$$.fragment,Be),Je=a(Be),ne=p(Be,"P",{"data-svelte-h":!0}),h(ne)!=="svelte-19wetgi"&&(ne.textContent=tt),Be.forEach(s),Ie=a(e),f(R.$$.fragment,e),Oe=a(e),_=p(e,"DIV",{class:!0});var ue=I(_);f(G.$$.fragment,ue),Ae=a(ue),ae=p(ue,"P",{"data-svelte-h":!0}),h(ae)!=="svelte-19wetgi"&&(ae.textContent=st),Ne=a(ue),H=p(ue,"DIV",{class:!0});var ke=I(H);f(W.$$.fragment,ke),Ze=a(ke),re=p(ke,"P",{"data-svelte-h":!0}),h(re)!=="svelte-5ihtpa"&&(re.textContent=it),ke.forEach(s),ue.forEach(s),Te=a(e),f(S.$$.fragment,e),Le=a(e),y=p(e,"DIV",{class:!0});var Ue=I(y);f(Q.$$.fragment,Ue),qe=a(Ue),le=p(Ue,"P",{"data-svelte-h":!0}),h(le)!=="svelte-19ryw33"&&(le.textContent=nt),Ue.forEach(s),Ce=a(e),f(X.$$.fragment,e),Me=a(e),w=p(e,"DIV",{class:!0});var Ee=I(w);f(Y.$$.fragment,Ee),Re=a(Ee),pe=p(Ee,"P",{"data-svelte-h":!0}),h(pe)!=="svelte-1i2ycus"&&(pe.textContent=at),Ee.forEach(s),He=a(e),fe=p(e,"P",{}),I(fe).forEach(s),this.h()},h(){O(r,"name","hf:doc:metadata"),O(r,"content",$t),O(M,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(b,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(P,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(H,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(_,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(y,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),O(w,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,t){u(document.head,r),i(e,v,t),i(e,$,t),i(e,T,t),d(V,e,t),i(e,de,t),i(e,B,t),i(e,me,t),i(e,k,t),i(e,ce,t),d(U,e,t),i(e,ge,t),i(e,E,t),i(e,$e,t),i(e,z,t),i(e,he,t),d(D,e,t),i(e,be,t),i(e,j,t),i(e,_e,t),d(F,e,t),i(e,xe,t),d(L,e,t),i(e,ve,t),d(J,e,t),i(e,Pe,t),i(e,b,t),d(A,b,null),u(b,ze),u(b,se),u(b,De),d(C,b,null),u(b,je),u(b,M),d(N,M,null),u(M,Fe),u(M,ie),i(e,ye,t),d(Z,e,t),i(e,we,t),i(e,P,t),d(q,P,null),u(P,Je),u(P,ne),i(e,Ie,t),d(R,e,t),i(e,Oe,t),i(e,_,t),d(G,_,null),u(_,Ae),u(_,ae),u(_,Ne),u(_,H),d(W,H,null),u(H,Ze),u(H,re),i(e,Te,t),d(S,e,t),i(e,Le,t),i(e,y,t),d(Q,y,null),u(y,qe),u(y,le),i(e,Ce,t),d(X,e,t),i(e,Me,t),i(e,w,t),d(Y,w,null),u(w,Re),u(w,pe),i(e,He,t),i(e,fe,t),Ve=!0},p(e,[t]){const x={};t&2&&(x.$$scope={dirty:t,ctx:e}),L.$set(x);const K={};t&2&&(K.$$scope={dirty:t,ctx:e}),C.$set(K)},i(e){Ve||(m(V.$$.fragment,e),m(U.$$.fragment,e),m(D.$$.fragment,e),m(F.$$.fragment,e),m(L.$$.fragment,e),m(J.$$.fragment,e),m(A.$$.fragment,e),m(C.$$.fragment,e),m(N.$$.fragment,e),m(Z.$$.fragment,e),m(q.$$.fragment,e),m(R.$$.fragment,e),m(G.$$.fragment,e),m(W.$$.fragment,e),m(S.$$.fragment,e),m(Q.$$.fragment,e),m(X.$$.fragment,e),m(Y.$$.fragment,e),Ve=!0)},o(e){c(V.$$.fragment,e),c(U.$$.fragment,e),c(D.$$.fragment,e),c(F.$$.fragment,e),c(L.$$.fragment,e),c(J.$$.fragment,e),c(A.$$.fragment,e),c(C.$$.fragment,e),c(N.$$.fragment,e),c(Z.$$.fragment,e),c(q.$$.fragment,e),c(R.$$.fragment,e),c(G.$$.fragment,e),c(W.$$.fragment,e),c(S.$$.fragment,e),c(Q.$$.fragment,e),c(X.$$.fragment,e),c(Y.$$.fragment,e),Ve=!1},d(e){e&&(s(v),s($),s(T),s(de),s(B),s(me),s(k),s(ce),s(ge),s(E),s($e),s(z),s(he),s(be),s(j),s(_e),s(xe),s(ve),s(Pe),s(b),s(ye),s(we),s(P),s(Ie),s(Oe),s(_),s(Te),s(Le),s(y),s(Ce),s(Me),s(w),s(He),s(fe)),s(r),g(V,e),g(U,e),g(D,e),g(F,e),g(L,e),g(J,e),g(A),g(C),g(N),g(Z,e),g(q),g(R,e),g(G),g(W),g(S,e),g(Q),g(X,e),g(Y)}}}const $t='{"title":"Outputs","local":"outputs","sections":[{"title":"BaseOutput","local":"diffusers.utils.BaseOutput","sections":[],"depth":2},{"title":"ImagePipelineOutput","local":"diffusers.ImagePipelineOutput","sections":[],"depth":2},{"title":"FlaxImagePipelineOutput","local":"diffusers.pipelines.pipeline_flax_utils.FlaxImagePipelineOutput","sections":[],"depth":2},{"title":"AudioPipelineOutput","local":"diffusers.AudioPipelineOutput","sections":[],"depth":2},{"title":"ImageTextPipelineOutput","local":"diffusers.ImageTextPipelineOutput","sections":[],"depth":2}],"depth":1}';function ht(te){return ut(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class wt extends ot{constructor(r){super(),ft(this,r,ht,gt,pt,{})}}export{wt as component};
